Package com.google.android.exoplayer2.util

## Class TraceUtil

- java.lang.Object
- - com.google.android.exoplayer2.util.TraceUtil

-     public final class TraceUtil
      extends Object

  Calls through to `Trace` methods on supported API levels.

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `beginSection​(String sectionName)` | Writes a trace message to indicate that a given section of code has begun.
    `static void` | `endSection()` | Writes a trace message to indicate that a given section of code has ended.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### beginSection

          public static void beginSection​(String sectionName)

      Writes a trace message to indicate that a given section of code has begun.
      Parameters:
        `sectionName` - The name of the code section to appear in the trace. This may be at most 127 Unicode code units long.
      See Also:
        `Trace.beginSection(String)`

    - #### endSection

          public static void endSection()

      Writes a trace message to indicate that a given section of code has ended.
      See Also:
        `Trace.endSection()`